package Lire::Config::StringSpec;

=pod

=head1 Lire::Config::StringSpec

Type that represents any string of characters Values of this type can
be any string.

There's not much to check about these values; if they are already a valid
perl string they are also a valid configuration string.

=cut

use base qw/Lire::Config::ScalarSpec/;

sub is_valid {
    return defined $_[1];
}

sub normalize {
    return $_[1];
}

1;
__END__

=pod

=head1 VERSION

$Id: StringSpec.pm,v 1.1 2004/03/17 17:46:54 wsourdeau Exp $

=head1 AUTHORS

Francis J. Lacoste <flacoste@logreport.org>
Wessel Dankers <wsl@logreport.org>
Wolfgang Sourdeau <wolfgang@logreport.org>

=head1 COPYRIGHT

Copyright (C) 2002-2004  Stichting LogReport Foundation LogReport@LogReport.org

This file is part of Lire.

Lire is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program (see COPYING); if not, check with
http://www.gnu.org/copyleft/gpl.html or write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.

=cut
