package Lire::Extensions::Database::DatabaseSchema;

# vim:syntax=perl

use strict;

use vars qw( $VERSION @ISA );

use Lire::AsciiDlf::ExtendedFieldsCreator;

use Carp;

BEGIN {
    ($VERSION)	= '$Revision: 1.4 $' =~ m!Revision: ([.\d]+)!;
    @ISA = qw( Lire::AsciiDlf::ExtendedFieldsCreator );
}

sub init_computation {
    my ( $self, $dlf_info ) = @_;

    # Cache the fields' index
    #$self->{'from_domain_idx'}= $self->schema->field( "from_domain" )->pos;
    $self->{'query'} = $self->schema->field( "query" )->pos;
}

sub create_extended_fields {
    my ( $self, $dlf ) = @_;

    my $querytype = "Unknown";
    my $query = $dlf->[$self->{'query'}];
    if ($query =~ /^select/i) {
        $querytype = "select";
    } elsif ($query =~ /^insert/i){
        $querytype = "insert";
    } elsif ($query =~ /^create/i){
        $querytype = "create";
    } elsif ($query =~ /^show/i){
        $querytype = "show";
    }

    return [ $querytype ];
}

# keep perl happy
1;

__END__

=pod

=head1 NAME

Lire::DatabaseSchema -

=head1 SYNOPSIS

use Lire::DatabaseSchema;

=head1 DESCRIPTION

Fixme.

=head1 VERSION

$Id: DatabaseSchema.pm,v 1.4 2003/10/28 08:24:24 wsourdeau Exp $

=head1 COPYRIGHT

Copyright (C) 2001 Stichting LogReport Foundation LogReport@LogReport.org

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program (see COPYING); if not, check with
http://www.gnu.org/copyleft/gpl.html or write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.

=head1 AUTHOR

Egon L. Willighagen <egonw@logreport.org>

=cut
