# REFERENCE: msgstore.cfg
__( q{Protocol Reports} );
# REFERENCE: msgstore.cfg
__( q{By Period} );
# REFERENCE: msgstore.cfg
__( q{Top user} );
# REFERENCE: schema:msgstore
__( q{DLF Schema for Message Store service} );
# REFERENCE: schema:msgstore
__( q{Each DLF records in the <structname>msgstore</structname>
   schema represents one command on the server. Not all fields will be
   meaningful for every type of action.
  } );
# REFERENCE: schema:msgstore
__( q{Timestamp} );
# REFERENCE: schema:msgstore
__( q{The timestamp of the event.} );
# REFERENCE: schema:msgstore
__( q{Server} );
# REFERENCE: schema:msgstore
__( q{The hostname on which the message store is running. In the
    case of message store proxies, this will be the target server.
   } );
# REFERENCE: schema:msgstore
__( q{Client Host} );
# REFERENCE: schema:msgstore
__( q{The host name of the client related to the event.} );
# REFERENCE: schema:msgstore
__( q{Client IP} );
# REFERENCE: schema:msgstore
__( q{The ip address of the client related to the event.} );
# REFERENCE: schema:msgstore
__( q{User} );
# REFERENCE: schema:msgstore
__( q{The user name of the authenticated user associated with the
    connection. 
   } );
# REFERENCE: schema:msgstore
__( q{Protocol} );
# REFERENCE: schema:msgstore
__( q{The protocol used to access the message store. This will be
    usually one of <constant>pop</constant> or
    <constant>imap</constant>.
   } );
# REFERENCE: schema:msgstore
__( q{Command} );
# REFERENCE: schema:msgstore
__( q{The command executed by the client. Defined commands are
    <constant>login</constant>, <constant>badlogin</constant>,
    <constant>select</constant>, <constant>create</constant>, etc.} );
# REFERENCE: schema:msgstore
__( q{Session ID} );
# REFERENCE: schema:msgstore
__( q{A session identifier used to relate the different records to
    one sesssion. Session identifier can be reused. 
   } );
# REFERENCE: schema:msgstore
__( q{Msg Downloaded} );
# REFERENCE: schema:msgstore
__( q{Number of messages downloaded.} );
# REFERENCE: schema:msgstore
__( q{Bytes Downloaded} );
# REFERENCE: schema:msgstore
__( q{Number of bytes downloaded messages.} );
# REFERENCE: schema:msgstore
__( q{Stored Msg} );
# REFERENCE: schema:msgstore
__( q{Number of messages stored on the server.} );
# REFERENCE: schema:msgstore
__( q{Stored Msg's Size} );
# REFERENCE: schema:msgstore
__( q{Size of the messages stored on the server.} );
# REFERENCE: schema:msgstore
__( q{Duration} );
# REFERENCE: schema:msgstore
__( q{The length of the session. 
    <note>
     <para>FIXME: When this field should be defined. On all events or
      only on the quit event?
     </para>
    </note>
   } );
# REFERENCE: schema:msgstore
__( q{Status} );
# REFERENCE: schema:msgstore
__( q{The status of the event. This includes the error messages or
    other success information (like an MMP redirection).
   } );
# REFERENCE: report:msgstore:badlogin-by-period
__( q{Failed Logins by Period Message Store Report} );
# REFERENCE: report:msgstore:badlogin-by-period
__( q{This report specification will generate a report showing the
   the number of failed login aggregated by some period of time. The
   period is configurable.
  } );
# REFERENCE: report:msgstore:badlogin-by-period
__( q{This parameter controls the time period over which the
     failed logins are counted.
    } );
# REFERENCE: report:msgstore:badlogin-by-period
__( q{Failed Logins by $period Period} );
# REFERENCE: report:msgstore:badlogin-by-period
__( q{Period} );
# REFERENCE: report:msgstore:badlogin-by-period
__( q{Bad Logins} );
# REFERENCE: report:msgstore:badlogin-by-period
__( q{% Total} );
# REFERENCE: report:msgstore:close-by-period
__( q{Closed Event by Period Message Store Report} );
# REFERENCE: report:msgstore:close-by-period
__( q{This report specification will generate a report showing the
   the number of <constant>close</constant> commands aggregated by
   some period of time. The period is configurable.
  } );
# REFERENCE: report:msgstore:close-by-period
__( q{This parameter controls the time period over which the
     <constant>close</constant> events are counted.
    } );
# REFERENCE: report:msgstore:close-by-period
__( q{Close By $period Period} );
# REFERENCE: report:msgstore:close-by-period
__( q{Period} );
# REFERENCE: report:msgstore:close-by-period
__( q{Close} );
# REFERENCE: report:msgstore:close-by-period
__( q{% Total} );
# REFERENCE: report:msgstore:events-by-protocol
__( q{Events by Protocol Message Store Report} );
# REFERENCE: report:msgstore:events-by-protocol
__( q{This report specification will generate a report showing the
   the number of events for each protocol supported by the
   message store server.
  } );
# REFERENCE: report:msgstore:events-by-protocol
__( q{Number of Events by Protocol} );
# REFERENCE: report:msgstore:events-by-protocol
__( q{Events} );
# REFERENCE: report:msgstore:events-by-protocol
__( q{% Total} );
# REFERENCE: report:msgstore:events-by-protocol
__( q{% Proto} );
# REFERENCE: report:msgstore:login-by-period
__( q{Successful Login by Period Message Store Report} );
# REFERENCE: report:msgstore:login-by-period
__( q{This report specification will generate a report showing the
   the number of successful logins aggregated by
   some period of time. The period is configurable.
  } );
# REFERENCE: report:msgstore:login-by-period
__( q{This parameter controls the time period over which the
     <constant>close</constant> events are counted.
    } );
# REFERENCE: report:msgstore:login-by-period
__( q{Login by $period Period} );
# REFERENCE: report:msgstore:login-by-period
__( q{Period} );
# REFERENCE: report:msgstore:login-by-period
__( q{Logins} );
# REFERENCE: report:msgstore:login-by-period
__( q{% Total} );
# REFERENCE: report:msgstore:top-user-leftover-bytes
__( q{Top User Most Message Leftover in Store Report} );
# REFERENCE: report:msgstore:top-user-leftover-bytes
__( q{This report specification will generate a report showing the
   the users that transported the most bytes from the messsage
   store. The number of users to include in the report is configurable.
  } );
# REFERENCE: report:msgstore:top-user-leftover-bytes
__( q{This parameter controls the number of users to include in
     the report.} );
# REFERENCE: report:msgstore:top-user-leftover-bytes
__( q{Users With Most Bytes Leftover, Top $users_to_show} );
# REFERENCE: report:msgstore:top-user-leftover-bytes
__( q{Bytes} );
# REFERENCE: report:msgstore:top-user-leftover-messages
__( q{Top User Most Message Leftover Store Report} );
# REFERENCE: report:msgstore:top-user-leftover-messages
__( q{This report specification will generate a report showing the
   the users that transported the most message from the messsage
   store. The number of users to include in the report is configurable.
  } );
# REFERENCE: report:msgstore:top-user-leftover-messages
__( q{This parameter controls the number of users to include in
     the report.} );
# REFERENCE: report:msgstore:top-user-leftover-messages
__( q{Users With Most Messages Leftover, Top $users_to_show} );
# REFERENCE: report:msgstore:top-user-leftover-messages
__( q{Messages} );
# REFERENCE: report:msgstore:top-user-login
__( q{Top User Logins Message Store Report} );
# REFERENCE: report:msgstore:top-user-login
__( q{This report specification will generate a report showing the
   the users that did the most logins on the message store. The number
   of users to include in the report is configurable.
  } );
# REFERENCE: report:msgstore:top-user-login
__( q{This parameter controls the number of users to include in
     the report.} );
# REFERENCE: report:msgstore:top-user-login
__( q{Most Active Users (login action), Top $users_to_show} );
# REFERENCE: report:msgstore:top-user-login
__( q{Logins} );
# REFERENCE: report:msgstore:top-user-login
__( q{% Total} );
# REFERENCE: report:msgstore:top-user-most-bytes
__( q{Top User Most Message Store Report} );
# REFERENCE: report:msgstore:top-user-most-bytes
__( q{This report specification will generate a report showing the
   the users that transported the most bytes from the messsage
   store. The number of users to include in the report is configurable.
  } );
# REFERENCE: report:msgstore:top-user-most-bytes
__( q{This parameter controls the number of users to include in
     the report.} );
# REFERENCE: report:msgstore:top-user-most-bytes
__( q{Users With Most Bytes Downloaded, Top $users_to_show} );
# REFERENCE: report:msgstore:top-user-most-bytes
__( q{Bytes} );
# REFERENCE: report:msgstore:top-user-most-bytes
__( q{% Total} );
# REFERENCE: report:msgstore:top-user-most-messages
__( q{Top User Most Message Store Report} );
# REFERENCE: report:msgstore:top-user-most-messages
__( q{This report specification will generate a report showing the
   the users that transported the most message from the messsage
   store. The number of users to include in the report is configurable.
  } );
# REFERENCE: report:msgstore:top-user-most-messages
__( q{This parameter controls the number of users to include in
     the report.} );
# REFERENCE: report:msgstore:top-user-most-messages
__( q{Users With Most Messages Downloaded, Top $users_to_show} );
# REFERENCE: report:msgstore:top-user-most-messages
__( q{Messages} );
# REFERENCE: report:msgstore:top-user-most-messages
__( q{% Total} );
# REFERENCE: report:msgstore:top-user-select
__( q{Top Users doing Select Message Store Report} );
# REFERENCE: report:msgstore:top-user-select
__( q{This report specification will generate a report showing the
   the users that did the most <constant>select</constant> commands on
   the server. The number of users to include in the report is
   configurable.
  } );
# REFERENCE: report:msgstore:top-user-select
__( q{This parameter controls the number of users to include in
     the report.} );
# REFERENCE: report:msgstore:top-user-select
__( q{Most Active Users (Select Action), Top $users_to_show} );
# REFERENCE: report:msgstore:top-user-select
__( q{Selects} );
# REFERENCE: report:msgstore:top-user-select
__( q{% Total} );
# REFERENCE: report:msgstore:unique-user
__( q{Unique Users by Period Message Store Report} );
# REFERENCE: report:msgstore:unique-user
__( q{This report specification will generate a report showing the
   the number of different users by some period of time. The period is
   configurable.
  } );
# REFERENCE: report:msgstore:unique-user
__( q{This parameter controls the time period over which the
     different users are counted.
    } );
# REFERENCE: report:msgstore:unique-user
__( q{Unique Users by $period Period} );
# REFERENCE: report:msgstore:unique-user
__( q{Period} );
# REFERENCE: report:msgstore:unique-user
__( q{Users} );
# REFERENCE: filter:msgstore:select-client-host
__( q{Select Client Host Filter} );
# REFERENCE: filter:msgstore:select-client-host
__( q{This filter specification can be used to select only the
   message store events made by a particular client.
  } );
# REFERENCE: filter:msgstore:select-client-host
__( q{This parameter contains the regular expression that will be
     used to select the client. Only events made by a client host
     matching that regexp will be included in the subreports.
    } );
# REFERENCE: filter:msgstore:select-client-host
__( q{selected events made by clients matching $client_match} );
