# REFERENCE: syslog.cfg
__( q{Overview Reports} );
# REFERENCE: syslog.cfg
__( q{Most Common Event Reports} );
# REFERENCE: syslog.cfg
__( q{By Period Reports} );
# REFERENCE: syslog.cfg
__( q{Warning or Higher Level Events} );
# REFERENCE: schema:syslog
__( q{DLF Schema for Syslog superservice} );
# REFERENCE: schema:syslog
__( q{This is a DLF schema that can be used to represent most
   messages logged through syslog-like daemon.
  } );
# REFERENCE: schema:syslog
__( q{Timestamp} );
# REFERENCE: schema:syslog
__( q{The timestamp of the logged event.} );
# REFERENCE: schema:syslog
__( q{Host} );
# REFERENCE: schema:syslog
__( q{The hostname or ip address from which the message was received.} );
# REFERENCE: schema:syslog
__( q{Process} );
# REFERENCE: schema:syslog
__( q{The "process" that logged the event.} );
# REFERENCE: schema:syslog
__( q{PID} );
# REFERENCE: schema:syslog
__( q{The PID of the originating process that was included in the
    message.
   } );
# REFERENCE: schema:syslog
__( q{Facility} );
# REFERENCE: schema:syslog
__( q{The syslog facility (<constant>kern</constant>,
    <constant>mail</constant>, <constant>local7</constant>, etc.) to
    which the message was logged. This information isn't present in
    all syslog file formats. 
   } );
# REFERENCE: schema:syslog
__( q{Level} );
# REFERENCE: schema:syslog
__( q{The syslog level (<constant>emerg</constant>,
    <constant>notice</constant>, <constant>debug</constant>, etc.) to
    which the message was logged. This information isn't present in
    all syslog file formats. 
   } );
# REFERENCE: schema:syslog
__( q{Message} );
# REFERENCE: schema:syslog
__( q{The logged event message (after the
    <structfield>process</structfield> and
    <structfield>pid</structfield> parts are removed).
   } );
# REFERENCE: report:syslog:messages-by-facility
__( q{Messages by Facility Syslog Report } );
# REFERENCE: report:syslog:messages-by-facility
__( q{This report specification will generate a report showing the
   number of messages logged to each facility.
  } );
# REFERENCE: report:syslog:messages-by-facility
__( q{Messages Logged by Facility} );
# REFERENCE: report:syslog:messages-by-facility
__( q{Messages} );
# REFERENCE: report:syslog:messages-by-facility
__( q{% Total} );
# REFERENCE: report:syslog:messages-by-level
__( q{Messages by Level Syslog Report } );
# REFERENCE: report:syslog:messages-by-level
__( q{This report specification will generate a report showing the
   number of messages logged to each syslog level.
  } );
# REFERENCE: report:syslog:messages-by-level
__( q{Messages Logged by Level} );
# REFERENCE: report:syslog:messages-by-level
__( q{Messages} );
# REFERENCE: report:syslog:messages-by-level
__( q{% Total} );
# REFERENCE: report:syslog:messages-by-period
__( q{Messages by Period Syslog Report } );
# REFERENCE: report:syslog:messages-by-period
__( q{This report specification will generate a report showing the
   number of messages logged by configurable time period.
  } );
# REFERENCE: report:syslog:messages-by-period
__( q{The period used to aggregate the events.} );
# REFERENCE: report:syslog:messages-by-period
__( q{Number of Messages Logged by $period Period} );
# REFERENCE: report:syslog:messages-by-period
__( q{Period} );
# REFERENCE: report:syslog:messages-by-period
__( q{Messages} );
# REFERENCE: report:syslog:messages-by-period
__( q{% Total} );
# REFERENCE: report:syslog:top-hosts
__( q{Top Hosts Syslog Report } );
# REFERENCE: report:syslog:top-hosts
__( q{This report specification will generate a report showing the
   hosts that logged the most messages.
  } );
# REFERENCE: report:syslog:top-hosts
__( q{The number of hosts to include in the report.} );
# REFERENCE: report:syslog:top-hosts
__( q{Top $hosts_to_show Hosts} );
# REFERENCE: report:syslog:top-hosts
__( q{Messages} );
# REFERENCE: report:syslog:top-hosts
__( q{% Total} );
# REFERENCE: report:syslog:top-messages-by-period
__( q{Top Messages by Period Syslog Report } );
# REFERENCE: report:syslog:top-messages-by-period
__( q{This report specification will generate a report showing the
   messages logged most often during each period. The
   number of messages to include as well as the period over which
   events are aggregated are configurable.
  } );
# REFERENCE: report:syslog:top-messages-by-period
__( q{The period used to aggregate the events.} );
# REFERENCE: report:syslog:top-messages-by-period
__( q{The number of messages to include for each period in the
     report.} );
# REFERENCE: report:syslog:top-messages-by-period
__( q{Top $messages_to_show Messages by $period Period} );
# REFERENCE: report:syslog:top-messages-by-period
__( q{Period} );
# REFERENCE: report:syslog:top-messages-by-period
__( q{Messages} );
# REFERENCE: report:syslog:top-messages-by-period
__( q{% Total} );
# REFERENCE: report:syslog:top-messages-by-period
__( q{% Period} );
# REFERENCE: report:syslog:top-messages-by-process
__( q{Top Messages by Process Syslog Report } );
# REFERENCE: report:syslog:top-messages-by-process
__( q{This report specification will generate a report showing the
   the messages that were logged the most number of times by each
   process. The number of messages to display and the number of
   processes to include in the report are customizable.
  } );
# REFERENCE: report:syslog:top-messages-by-process
__( q{The number of messages to include for each process in the
     report.} );
# REFERENCE: report:syslog:top-messages-by-process
__( q{The number of processes to include in the report.} );
# REFERENCE: report:syslog:top-messages-by-process
__( q{Top $messages_to_show Messages by Process, Top
   $processes_to_show Process} );
# REFERENCE: report:syslog:top-messages-by-process
__( q{Messages} );
# REFERENCE: report:syslog:top-messages-by-process
__( q{% Total} );
# REFERENCE: report:syslog:top-messages-by-process
__( q{% Process} );
# REFERENCE: report:syslog:top-messages
__( q{Top Messages Syslog Report } );
# REFERENCE: report:syslog:top-messages
__( q{This report specification will generate a report showing the
   the messages that were logged the most number of times. The number
   of messages to display is customizable.
  } );
# REFERENCE: report:syslog:top-messages
__( q{The number of messages to include in the report.} );
# REFERENCE: report:syslog:top-messages
__( q{Top $messages_to_show Messages} );
# REFERENCE: report:syslog:top-messages
__( q{Messagse} );
# REFERENCE: report:syslog:top-messages
__( q{% Total} );
# REFERENCE: report:syslog:top-processes-by-period
__( q{Top Processes by Period Syslog Report } );
# REFERENCE: report:syslog:top-processes-by-period
__( q{This report specification will generate a report showing the
   processes that logged the most messages during each period. The
   number of process to include as well as the period over which
   events are aggregated are configurable.
  } );
# REFERENCE: report:syslog:top-processes-by-period
__( q{The period used to aggregate the events.} );
# REFERENCE: report:syslog:top-processes-by-period
__( q{The number of processes to include for each period in the
     report.} );
# REFERENCE: report:syslog:top-processes-by-period
__( q{Top $processes_to_show Processes by $period Period} );
# REFERENCE: report:syslog:top-processes-by-period
__( q{Period} );
# REFERENCE: report:syslog:top-processes-by-period
__( q{Messagse} );
# REFERENCE: report:syslog:top-processes-by-period
__( q{% Total} );
# REFERENCE: report:syslog:top-processes-by-period
__( q{% Period} );
# REFERENCE: report:syslog:top-processes
__( q{Top Processes Syslog Report } );
# REFERENCE: report:syslog:top-processes
__( q{This report specification will generate a report showing the
   processes that logged the most messages.
  } );
# REFERENCE: report:syslog:top-processes
__( q{The number of processes to include in the report.} );
# REFERENCE: report:syslog:top-processes
__( q{Top $processes_to_show Processes} );
# REFERENCE: report:syslog:top-processes
__( q{Messages} );
# REFERENCE: report:syslog:top-processes
__( q{% Total} );
# REFERENCE: filter:syslog:exclude-message
__( q{Exclude Message Filter} );
# REFERENCE: filter:syslog:exclude-message
__( q{This filter can be used to exclude
   <structname>syslog</structname> records based on the content of the
   <structfield>message</structfield> field.
  } );
# REFERENCE: filter:syslog:exclude-message
__( q{Records for which the
     <structfield>message</structfield> field matches that regular
     expression will be excluded. The match is case insensitive.
    } );
# REFERENCE: filter:syslog:exclude-message
__( q{excluded messages matching $message_match} );
# REFERENCE: filter:syslog:exclude-priority
__( q{Exclude Priority Filter} );
# REFERENCE: filter:syslog:exclude-priority
__( q{This filter can be used to exclude
   <structname>syslog</structname> records based on the priority
   (<structfield>facility</structfield> and
   <structfield>level</structfield>) of the message.
  } );
# REFERENCE: filter:syslog:exclude-priority
__( q{Regular expression used to select the level that the event
     <emphasis>must not </emphasis>come from. The match is case
     insensitive.
    } );
# REFERENCE: filter:syslog:exclude-priority
__( q{Regular expression used to select the facility that the
     event <emphasis>must not</emphasis> come from. The match is case insensitive.
    } );
# REFERENCE: filter:syslog:exclude-priority
__( q{excluded messages with facility matching $facility_match and
   level matching $level_match} );
# REFERENCE: filter:syslog:exclude-process
__( q{Exclude Process Filter} );
# REFERENCE: filter:syslog:exclude-process
__( q{This filter can be used to exclude
   <structname>syslog</structname> records based on the value in the
   <structfield>process</structfield> field.
  } );
# REFERENCE: filter:syslog:exclude-process
__( q{Regular expression that excludes messages coming from matching
     processes. The match is case insensitive.
    } );
# REFERENCE: filter:syslog:exclude-process
__( q{excluded messages logged by processes matching $process_match} );
# REFERENCE: filter:syslog:select-host
__( q{Select Host Filter} );
# REFERENCE: filter:syslog:select-host
__( q{This filter can be used to select
   <structname>syslog</structname> records based on the host from
   which the event was received.
  } );
# REFERENCE: filter:syslog:select-host
__( q{Regular expression used to select the host that the
    event must come from. The match is case insensitive.
    } );
# REFERENCE: filter:syslog:select-host
__( q{messages coming from hosts matching $host_match} );
# REFERENCE: filter:syslog:select-message
__( q{Select Message Filter} );
# REFERENCE: filter:syslog:select-message
__( q{This filter can be used to select
   <structname>syslog</structname> records based on the content of the
   <structfield>message</structfield> field.
  } );
# REFERENCE: filter:syslog:select-message
__( q{Only records for which the
     <structfield>message</structfield> field matches that regular
     expression will be selected. The match is case insensitive.
    } );
# REFERENCE: filter:syslog:select-message
__( q{messages matching $message_match} );
# REFERENCE: filter:syslog:select-priority
__( q{Select Priority Filter} );
# REFERENCE: filter:syslog:select-priority
__( q{This filter can be used to select
   <structname>syslog</structname> records based on the priority
   (<structfield>facility</structfield> and
   <structfield>level</structfield>) of the message.
  } );
# REFERENCE: filter:syslog:select-priority
__( q{Regular expression used to select the level that the
     event must come from. The match is case insensitive.
    } );
# REFERENCE: filter:syslog:select-priority
__( q{Regular expression used to select the facility that the
    event must come from. The match is case insensitive.
    } );
# REFERENCE: filter:syslog:select-priority
__( q{messages with facility matching $facility_match and
   level matching $level_match } );
# REFERENCE: filter:syslog:select-process
__( q{Select process Filter} );
# REFERENCE: filter:syslog:select-process
__( q{This filter can be used to select
   <structname>syslog</structname> records based on the value in the
   <structfield>process</structfield> field.
  } );
# REFERENCE: filter:syslog:select-process
__( q{Regular expression that select messages coming from matching
     processes. The match is case insensitive.
    } );
# REFERENCE: filter:syslog:select-process
__( q{messages logged by processes matching $process_match} );
